/* Ofront 1.4 -xtspkaG */
#include "SYSTEM.h"
#include "Display.h"

typedef
	struct Bitmaps_BitmapDesc *Bitmaps_Bitmap;

typedef
	struct Bitmaps_BitmapDesc {
		LONGINT w, h;
	} Bitmaps_BitmapDesc;


export Bitmaps_Bitmap Bitmaps_Disp;

export LONGINT *Bitmaps_BitmapDesc__typ;

export void Bitmaps_CopyBlock (Bitmaps_Bitmap sb, Bitmaps_Bitmap db, INTEGER sx, INTEGER sy, INTEGER w, INTEGER h, INTEGER dx, INTEGER dy, INTEGER mode);
export Bitmaps_Bitmap Bitmaps_New (LONGINT w, LONGINT h);


void Bitmaps_CopyBlock (Bitmaps_Bitmap sb, Bitmaps_Bitmap db, INTEGER sx, INTEGER sy, INTEGER w, INTEGER h, INTEGER dx, INTEGER dy, INTEGER mode)
{
	if (sx == 0 && sy == 0) {
		Display_CopyBlock(dx, -h, w, h, dx, dy, mode);
	} else {
		Display_CopyBlock(sx, sy, w, h, sx, -h, mode);
	}
}

Bitmaps_Bitmap Bitmaps_New (LONGINT w, LONGINT h)
{
	Bitmaps_Bitmap b = NIL;
	__NEW(b, Bitmaps_BitmapDesc);
	b->w = w;
	b->h = h;
	return b;
}

static void EnumPtrs(void (*P)(void*))
{
	P(Bitmaps_Disp);
}

__TDESC(Bitmaps_BitmapDesc, 1, 0) = {__TDFLDS("BitmapDesc", 8), {-4}};

export void *Bitmaps__init(void)
{
	__DEFMOD;
	__IMPORT(Display);
	__REGMOD(Bitmaps, EnumPtrs);
	__INITYP(Bitmaps_BitmapDesc, Bitmaps_BitmapDesc, 0);
/* BEGIN */
	__NEW(Bitmaps_Disp, Bitmaps_BitmapDesc);
	__ENDMOD;
}
