/* Ofront 1.4 -xtspkaG */

#ifndef DialogAnalogClocks__h
#define DialogAnalogClocks__h

#include "SYSTEM.h"
#include "DialogClocks.h"
#include "Dialogs.h"
#include "Display.h"

typedef
	struct DialogAnalogClocks_ItemDesc *DialogAnalogClocks_Item;

typedef
	struct DialogAnalogClocks_ItemDesc { /* DialogClocks_ItemDesc */
		LONGINT _prvt0;
		char _prvt1[16];
		CHAR name[16];
		CHAR cmd[32];
		CHAR par[32];
		BOOLEAN selected, overlapping;
		Dialogs_Panel panel;
		char _prvt2[1];
	} DialogAnalogClocks_ItemDesc;

import void DialogAnalogClocks_Item_Copy (DialogAnalogClocks_Item c, Dialogs_Object *dup);
import void DialogAnalogClocks_Item_Draw (DialogAnalogClocks_Item c, INTEGER x, INTEGER y, Display_Frame f);
import void DialogAnalogClocks_Item_Print (DialogAnalogClocks_Item c, INTEGER x, INTEGER y);
import void DialogAnalogClocks_Item_Redraw (DialogAnalogClocks_Item c, Display_Frame f, INTEGER x, INTEGER y, DialogClocks_Time old, DialogClocks_Time new);



import LONGINT *DialogAnalogClocks_ItemDesc__typ;

import void DialogAnalogClocks_Insert (void);
import void *DialogAnalogClocks__init(void);


#endif
