/* Ofront 1.4 -xtspkaG */

#ifndef DialogGraphics__h
#define DialogGraphics__h

#include "SYSTEM.h"
#include "Dialogs.h"
#include "Display.h"
#include "Files.h"
#include "Graphics.h"

typedef
	struct DialogGraphics_ItemDesc *DialogGraphics_Item;

typedef
	struct DialogGraphics_ItemDesc { /* Dialogs_ObjectDesc */
		LONGINT _prvt0;
		char _prvt1[16];
		CHAR name[16];
		CHAR cmd[32];
		CHAR par[32];
		BOOLEAN selected, overlapping;
		Dialogs_Panel panel;
		char _prvt2[4];
		Graphics_Graph graph;
		char _prvt3[6];
	} DialogGraphics_ItemDesc;

import void DialogGraphics_Item_Copy (DialogGraphics_Item g, Dialogs_Object *dup);
import void DialogGraphics_Item_Draw (DialogGraphics_Item g, INTEGER x, INTEGER y, Display_Frame f);
import void DialogGraphics_Item_Edit (DialogGraphics_Item g);
import void DialogGraphics_Item_Handle (DialogGraphics_Item g, Display_Frame f, Display_FrameMsg *m, LONGINT *m__typ);
import void DialogGraphics_Item_Load (DialogGraphics_Item g, Files_Rider *r, LONGINT *r__typ);
import void DialogGraphics_Item_Print (DialogGraphics_Item g, INTEGER x, INTEGER y);
import void DialogGraphics_Item_Store (DialogGraphics_Item g, Files_Rider *r, LONGINT *r__typ);



import LONGINT *DialogGraphics_ItemDesc__typ;

import void DialogGraphics_Insert (void);
import void DialogGraphics_Update (void);
import void *DialogGraphics__init(void);


#endif
