/* Ofront 1.4 -xtspkaG */

#ifndef DialogKeplers__h
#define DialogKeplers__h

#include "SYSTEM.h"
#include "Dialogs.h"
#include "Display.h"
#include "Files.h"
#include "KeplerGraphs.h"

typedef
	struct DialogKeplers_ItemDesc *DialogKeplers_Item;

typedef
	struct DialogKeplers_ItemDesc { /* Dialogs_ObjectDesc */
		LONGINT _prvt0;
		char _prvt1[16];
		CHAR name[16];
		CHAR cmd[32];
		CHAR par[32];
		BOOLEAN selected, overlapping;
		Dialogs_Panel panel;
		char _prvt2[4];
		KeplerGraphs_Graph graph;
		char _prvt3[6];
	} DialogKeplers_ItemDesc;

import void DialogKeplers_Item_Copy (DialogKeplers_Item g, Dialogs_Object *dup);
import void DialogKeplers_Item_Draw (DialogKeplers_Item g, INTEGER x, INTEGER y, Display_Frame f);
import void DialogKeplers_Item_Edit (DialogKeplers_Item g);
import void DialogKeplers_Item_Handle (DialogKeplers_Item g, Display_Frame f, Display_FrameMsg *m, LONGINT *m__typ);
import void DialogKeplers_Item_Load (DialogKeplers_Item g, Files_Rider *r, LONGINT *r__typ);
import void DialogKeplers_Item_Print (DialogKeplers_Item g, INTEGER x, INTEGER y);
import void DialogKeplers_Item_Store (DialogKeplers_Item g, Files_Rider *r, LONGINT *r__typ);



import LONGINT *DialogKeplers_ItemDesc__typ;

import void DialogKeplers_Insert (void);
import void DialogKeplers_Update (void);
import void *DialogKeplers__init(void);


#endif
