/* Ofront 1.4 -xtspkaG */

#ifndef DialogLines__h
#define DialogLines__h

#include "SYSTEM.h"
#include "Dialogs.h"
#include "Display.h"

typedef
	struct DialogLines_ItemDesc *DialogLines_Item;

typedef
	struct DialogLines_ItemDesc { /* Dialogs_ObjectDesc */
		LONGINT _prvt0;
		char _prvt1[16];
		CHAR name[16];
		CHAR cmd[32];
		CHAR par[32];
		BOOLEAN selected, overlapping;
		Dialogs_Panel panel;
		char _prvt2[1];
	} DialogLines_ItemDesc;

import void DialogLines_Item_Copy (DialogLines_Item l, Dialogs_Object *dup);
import void DialogLines_Item_Draw (DialogLines_Item l, INTEGER x, INTEGER y, Display_Frame f);
import void DialogLines_Item_Handle (DialogLines_Item l, Display_Frame f, Display_FrameMsg *m, LONGINT *m__typ);
import void DialogLines_Item_Print (DialogLines_Item l, INTEGER x, INTEGER y);



import LONGINT *DialogLines_ItemDesc__typ;

import void DialogLines_Insert (void);
import void *DialogLines__init(void);


#endif
