/* Ofront 1.4 -xtspkaG */

#ifndef DialogListBoxes__h
#define DialogListBoxes__h

#include "SYSTEM.h"
#include "Dialogs.h"
#include "Display.h"
#include "Texts.h"

typedef
	struct DialogListBoxes_ItemDesc *DialogListBoxes_Item;

typedef
	struct DialogListBoxes_ItemDesc { /* Dialogs_ObjectDesc */
		LONGINT _prvt0;
		char _prvt1[16];
		CHAR name[16];
		CHAR cmd[32];
		CHAR par[32];
		BOOLEAN selected, overlapping;
		Dialogs_Panel panel;
		char _prvt2[4];
		Texts_Text menu;
		INTEGER n;
		char _prvt3[4];
		INTEGER selline;
		char _prvt4[2];
	} DialogListBoxes_ItemDesc;

import void DialogListBoxes_Item_Copy (DialogListBoxes_Item b, Dialogs_Object *dup);
import void DialogListBoxes_Item_Draw (DialogListBoxes_Item b, INTEGER x, INTEGER y, Display_Frame f);
import void DialogListBoxes_Item_Handle (DialogListBoxes_Item b, Display_Frame f, Display_FrameMsg *m, LONGINT *m__typ);
import void DialogListBoxes_Item_Init (DialogListBoxes_Item b);
import void DialogListBoxes_Item_Print (DialogListBoxes_Item b, INTEGER x, INTEGER y);
import void DialogListBoxes_Item_SetMenu (DialogListBoxes_Item b, Texts_Text t);
#define __DialogListBoxes_Item_SetMenu(b, t) __SEND(__TYPEOF(b), 24, void(*)(DialogListBoxes_Item, Texts_Text), (b, t))



import LONGINT *DialogListBoxes_ItemDesc__typ;

import void DialogListBoxes_Insert (void);
import void *DialogListBoxes__init(void);


#endif
