/* Ofront 1.4 -xtspkaG */

#ifndef DialogRectangles__h
#define DialogRectangles__h

#include "SYSTEM.h"
#include "Dialogs.h"
#include "Display.h"

typedef
	struct DialogRectangles_ItemDesc *DialogRectangles_Item;

typedef
	struct DialogRectangles_ItemDesc { /* Dialogs_ObjectDesc */
		LONGINT _prvt0;
		char _prvt1[16];
		CHAR name[16];
		CHAR cmd[32];
		CHAR par[32];
		BOOLEAN selected, overlapping;
		Dialogs_Panel panel;
		char _prvt2[1];
	} DialogRectangles_ItemDesc;

import void DialogRectangles_Item_Copy (DialogRectangles_Item r, Dialogs_Object *dup);
import void DialogRectangles_Item_Draw (DialogRectangles_Item r, INTEGER x, INTEGER y, Display_Frame f);
import void DialogRectangles_Item_Handle (DialogRectangles_Item r, Display_Frame f, Display_FrameMsg *m, LONGINT *m__typ);
import void DialogRectangles_Item_Print (DialogRectangles_Item r, INTEGER x, INTEGER y);



import LONGINT *DialogRectangles_ItemDesc__typ;

import void DialogRectangles_Insert (void);
import void *DialogRectangles__init(void);


#endif
