/* Ofront 1.4 -xtspkaG */

#ifndef ElemTools__h
#define ElemTools__h

#include "SYSTEM.h"
#include "Elems.h"
#include "Texts.h"


import INTEGER ElemTools_defaultH, ElemTools_defaultW, ElemTools_maxW;
import Texts_Elem ElemTools_curElem;
import INTEGER ElemTools_y, ElemTools_x, ElemTools_step, ElemTools_top, ElemTools_left;
import BOOLEAN ElemTools_wasBool;
import Texts_Text ElemTools_menuText;


import void ElemTools_AddAttr (void);
import void ElemTools_Align (void);
import void ElemTools_Apply (void);
import void ElemTools_ClearPanel (void);
import void ElemTools_CreateCheckBox (CHAR *name, LONGINT name__len, BOOLEAN val);
import void ElemTools_CreatePopupList (CHAR *name, LONGINT name__len, CHAR *default_, LONGINT default___len);
import void ElemTools_CreateStaticText (CHAR *value, LONGINT value__len, CHAR *align, LONGINT align__len, INTEGER w);
import void ElemTools_CreateTextButton (CHAR *name, LONGINT name__len, Texts_Text t);
import void ElemTools_CreateTextField (CHAR *name, LONGINT name__len, Elems_AttrMsg msg);
import void ElemTools_DelAttr (void);
import void ElemTools_EditText (void);
import void ElemTools_Enum (CHAR *name, LONGINT name__len, INTEGER class);
import void ElemTools_EnumProps (CHAR *name, LONGINT name__len, INTEGER class);
import void ElemTools_Get (void);
import void ElemTools_Inspect (void);
import void ElemTools_InspectCurElem (CHAR *info, LONGINT info__len, Elems_AttrMsg *attr, LONGINT *attr__typ);
import void ElemTools_LogParam (void);
import void ElemTools_ParamToCaret (void);
import void ElemTools_SetAttr (void);
import void ElemTools_SetSize (void);
import void ElemTools_SetTabPos (void);
import void ElemTools_ShowTabs (void);
import void ElemTools_Update (void);
import void *ElemTools__init(void);


#endif
