/* Ofront 1.4 -xtspkaG */
#include "SYSTEM.h"




export void GPIO_Close (void);
export BOOLEAN GPIO_Open (void);
export LONGINT GPIO_Read (LONGINT adr);
export SET GPIO_ReadSet (LONGINT adr);
export void GPIO_Write (LONGINT adr, LONGINT val);
export void GPIO_WriteSet (LONGINT adr, SET val);

#include "GPIO.c0"
#define GPIO_map()	mapGpiomem()
#define GPIO_read(adr)	*(long*)((long)gpioMem + (adr))
#define GPIO_unmap()	unmapGpiomem()
#define GPIO_write(adr, val)	*(long*)((long)gpioMem + (adr)) = (val)

BOOLEAN GPIO_Open (void)
{
	return GPIO_map() == 0;
}

LONGINT GPIO_Read (LONGINT adr)
{
	return GPIO_read(__MASK(adr, -256));
}

SET GPIO_ReadSet (LONGINT adr)
{
	return (SET)GPIO_read(__MASK(adr, -256));
}

void GPIO_Write (LONGINT adr, LONGINT val)
{
	GPIO_write(__MASK(adr, -256), val);
}

void GPIO_WriteSet (LONGINT adr, SET val)
{
	GPIO_write(__MASK(adr, -256), (LONGINT)val);
}

void GPIO_Close (void)
{
	GPIO_unmap();
}


export void *GPIO__init(void)
{
	__DEFMOD;
	__REGMOD(GPIO, 0);
	__REGCMD("Close", GPIO_Close);
/* BEGIN */
	__ENDMOD;
}
