/* Ofront 1.4 -xtspkaG */

#ifndef LinkElems__h
#define LinkElems__h

#include "SYSTEM.h"
#include "Display.h"
#include "PopupElems.h"
#include "Texts.h"

typedef
	struct LinkElems_ElemDesc *LinkElems_Elem;

typedef
	struct LinkElems_ElemDesc { /* Texts_ElemDesc */
		char _prvt0[20];
		LONGINT W, H;
		Texts_Handler handle;
		char _prvt1[4];
		CHAR file[32];
		LONGINT key;
	} LinkElems_ElemDesc;

typedef
	struct LinkElems_FollowMsg { /* Texts_ElemMsg */
		Display_Frame f;
	} LinkElems_FollowMsg;

typedef
	struct LinkElems_MenuDesc *LinkElems_Menu;

typedef
	struct LinkElems_MenuDesc { /* PopupElems_ElemDesc */
		char _prvt0[20];
		LONGINT W, H;
		Texts_Handler handle;
		char _prvt1[4];
		CHAR name[32];
		Texts_Text menu;
		BOOLEAN small;
		INTEGER n, default_;
		char _prvt2[4];
		SET options;
	} LinkElems_MenuDesc;



import LONGINT *LinkElems_ElemDesc__typ;
import LONGINT *LinkElems_FollowMsg__typ;
import LONGINT *LinkElems_MenuDesc__typ;

import void LinkElems_Alloc (void);
import void LinkElems_AllocMenu (void);
import void LinkElems_FollowLink (CHAR *file, LONGINT file__len, LONGINT key, Display_Frame backF, Texts_Elem backE);
import void LinkElems_Handle (Texts_Elem e, Texts_ElemMsg *m, LONGINT *m__typ);
import void LinkElems_HandleMenu (Texts_Elem e, Texts_ElemMsg *m, LONGINT *m__typ);
import void LinkElems_Insert (void);
import void LinkElems_InsertMenu (void);
import LinkElems_Elem LinkElems_New (CHAR *file, LONGINT file__len, LONGINT key);
import void LinkElems_Update (void);
import void *LinkElems__init(void);


#endif
