/* Ofront 1.4 -xtspkaG */
#include "SYSTEM.h"
#include "Args.h"
#include "Console.h"
#include "Files.h"
#include "CmdlnTexts.h"




export void OCatCmd_Cat (void);


void OCatCmd_Cat (void)
{
	BOOLEAN optTab = 0;
	CHAR path[128];
	INTEGER arg = 0;
	CmdlnTexts_Text T = NIL;
	CmdlnTexts_Reader R = {0};
	CHAR ch = 0;
	optTab = 0;
	path[0] = 0x00;
	arg = 1;
	__NEW(T, CmdlnTexts_TextDesc);
	Args_Get(arg, (void*)path, 128);
	if (__STRCMP(path, "-t") == 0) {
		optTab = 1;
		arg = 2;
		path[0] = 0x00;
		Args_Get(arg, (void*)path, 128);
	}
	while (path[0] != 0x00) {
		if (Files_Old(path, 128) != NIL) {
			CmdlnTexts_Open(T, path, 128);
			CmdlnTexts_OpenReader(&R, CmdlnTexts_Reader__typ, T, 0);
			CmdlnTexts_Read(&R, CmdlnTexts_Reader__typ, &ch);
			while (!R.eot) {
				if (ch >= ' ') {
					Console_Char(ch);
				} else if (ch == 0x09) {
					if (optTab) {
						Console_Char(0x09);
					} else {
						Console_String((CHAR*)"  ", (LONGINT)3);
					}
				} else if (ch == 0x0d) {
					Console_Char(0x0a);
				}
				CmdlnTexts_Read(&R, CmdlnTexts_Reader__typ, &ch);
			}
		} else {
			Console_String((CHAR*)"ocat: cannot open ", (LONGINT)19);
			Console_String(path, 128);
			Console_Ln();
		}
		arg += 1;
		path[0] = 0x00;
		Args_Get(arg, (void*)path, 128);
	}
	Console_Flush();
}


int main(int argc, char **argv)
{
	__INIT(argc, argv);
	__IMPORT(Args);
	__IMPORT(Console);
	__IMPORT(Files);
	__IMPORT(CmdlnTexts);
	__REGMAIN(OCatCmd, 0);
	__REGCMD("Cat", OCatCmd_Cat);
/* BEGIN */
	OCatCmd_Cat();
	__FINI;
}
