/* Ofront 1.4 -xtspkaG */

#ifndef ContainerElems__h
#define ContainerElems__h

#include "SYSTEM.h"
#include "Display.h"
#include "Elems.h"
#include "Fonts.h"
#include "Oberon.h"
#include "Texts.h"

typedef
	struct ContainerElems_CaseDesc *ContainerElems_Case;

typedef
	struct ContainerElems_CaseDesc {
		INTEGER x, y;
		SET state;
		Texts_Elem e;
		ContainerElems_Case next;
	} ContainerElems_CaseDesc;

typedef
	struct ContainerElems_ContainerDesc *ContainerElems_Container;

typedef
	struct ContainerElems_ContainerDesc { /* Elems_ElemDesc */
		char _prvt0[20];
		LONGINT W, H;
		Texts_Handler handle;
		char _prvt1[8];
		BOOLEAN locked;
		char _prvt2[7];
		BOOLEAN lockedc;
		INTEGER x, y;
		char _prvt3[14];
	} ContainerElems_ContainerDesc;

typedef
	struct ContainerElems_SelectionDesc *ContainerElems_Selection;

typedef
	struct ContainerElems_CopyOverMsg { /* Oberon_CopyOverMsg */
		Texts_Text text;
		LONGINT beg, end;
		ContainerElems_Container p;
		ContainerElems_Selection sel;
	} ContainerElems_CopyOverMsg;

typedef
	struct ContainerElems_FrameDesc *ContainerElems_Frame;

typedef
	struct ContainerElems_FrameDesc { /* Display_FrameDesc */
		Display_Frame dsc, next;
		INTEGER X, Y, W, H;
		Display_Handler handle;
		ContainerElems_Container container;
		BOOLEAN hasCar;
		INTEGER oldY;
		char _prvt0[8];
	} ContainerElems_FrameDesc;

typedef
	struct ContainerElems_NotifyMsg { /* Display_FrameMsg */
		ContainerElems_Container c;
		SET id;
		char _prvt0[4];
		Texts_Elem elem;
		INTEGER x, y, w, h;
	} ContainerElems_NotifyMsg;

typedef
	struct ContainerElems_SelectionDesc {
		ContainerElems_Case c;
		char _prvt0[4];
	} ContainerElems_SelectionDesc;

typedef
	struct ContainerElems_SelectionMsg { /* Oberon_SelectionMsg */
		LONGINT time;
		Texts_Text text;
		LONGINT beg, end;
		ContainerElems_Container p;
		ContainerElems_Selection sel;
	} ContainerElems_SelectionMsg;

typedef
	struct ContainerElems_TextDesc *ContainerElems_Text;

typedef
	struct ContainerElems_TextDesc { /* Texts_TextDesc */
		LONGINT len;
		Texts_Notifier notify;
		char _prvt0[12];
		ContainerElems_Container base;
	} ContainerElems_TextDesc;



import LONGINT *ContainerElems_CaseDesc__typ;
import LONGINT *ContainerElems_SelectionDesc__typ;
import LONGINT *ContainerElems_FrameDesc__typ;
import LONGINT *ContainerElems_TextDesc__typ;
import LONGINT *ContainerElems_ContainerDesc__typ;
import LONGINT *ContainerElems_SelectionMsg__typ;
import LONGINT *ContainerElems_CopyOverMsg__typ;
import LONGINT *ContainerElems_NotifyMsg__typ;

import void ContainerElems_AdjustSubFrame (Display_Frame f, Display_Frame sub);
import void ContainerElems_AppendToSelection (ContainerElems_Container p, ContainerElems_Case c);
import void ContainerElems_CopyContainer (ContainerElems_Container from, ContainerElems_Container to);
import void ContainerElems_DeleteCase (ContainerElems_Container p, ContainerElems_Case c);
import void ContainerElems_DeleteSelection (ContainerElems_Frame f);
import void ContainerElems_DrawContents (ContainerElems_Container p, Display_Frame f, INTEGER x0, INTEGER y0);
import void ContainerElems_DrawTextElem (ContainerElems_Container p, Texts_Elem e, Display_Frame f, INTEGER x0, INTEGER y0);
import void ContainerElems_FrameHandle (Display_Frame f, Display_FrameMsg *msg, LONGINT *msg__typ);
import void ContainerElems_Handle (Texts_Elem p, Texts_ElemMsg *msg, LONGINT *msg__typ);
import BOOLEAN ContainerElems_InBorder (INTEGER mX, INTEGER mY, INTEGER x, INTEGER y, INTEGER w, INTEGER h);
import void ContainerElems_Init (ContainerElems_Container p);
import void ContainerElems_InsertElem (ContainerElems_Container p, Texts_Elem new, Fonts_Font fnt, SHORTINT col);
import void ContainerElems_LoadCase (Texts_FileMsg *msg, LONGINT *msg__typ, ContainerElems_Case *c, Fonts_Font *fnt, SHORTINT *col);
import ContainerElems_Case ContainerElems_MyCase (ContainerElems_Container p, Texts_Elem e);
import ContainerElems_Selection ContainerElems_NextSel (ContainerElems_Selection s);
import void ContainerElems_PrintContents (ContainerElems_Container p, INTEGER x0, INTEGER y0);
import void ContainerElems_RemoveCaret (ContainerElems_Frame f);
import void ContainerElems_RemoveFromSelection (ContainerElems_Container p, ContainerElems_Case c);
import void ContainerElems_RemoveSelection (ContainerElems_Frame f);
import void ContainerElems_SetCaret (ContainerElems_Frame f, INTEGER X, INTEGER Y);
import void ContainerElems_StoreCase (Texts_FileMsg *msg, LONGINT *msg__typ, ContainerElems_Case c);
import ContainerElems_Case ContainerElems_ThisCase (ContainerElems_Container p, INTEGER x, INTEGER y, INTEGER x0, INTEGER y0);
import void ContainerElems_UpdateArea (ContainerElems_Container c, INTEGER x, INTEGER y, INTEGER w, INTEGER h, SET id);
import void *ContainerElems__init(void);


#endif
