/* Ofront 1.4 -xtspkaG */
#include "SYSTEM.h"
#include "Files.h"
#include "Oberon.h"

typedef
	struct Dates_DateDesc *Dates_Date;

typedef
	struct Dates_DateDesc {
		INTEGER day, month, year, cal;
		LONGINT ref;
	} Dates_DateDesc;

export void Dates_Date_AddDays (Dates_Date date, LONGINT days);
export void Dates_Date_AddMonths (Dates_Date date, INTEGER months, BOOLEAN trackUltimo);
export void Dates_Date_AddYears (Dates_Date date, INTEGER years, BOOLEAN trackUltimo);
static void Dates_Date_ComputeDate (Dates_Date date);
static void Dates_Date_ComputeDays (Dates_Date date);
export void Dates_Date_CopyTo (Dates_Date date, Dates_Date copy);
export LONGINT Dates_Date_Date (Dates_Date date);
export void Dates_Date_DayExt (Dates_Date date, CHAR *ext, LONGINT ext__len);
export void Dates_Date_DayName (Dates_Date date, BOOLEAN short_, CHAR *name, LONGINT name__len);
export INTEGER Dates_Date_DayOfWeek (Dates_Date date);
export INTEGER Dates_Date_DaysOfMonth (Dates_Date date);
export LONGINT Dates_Date_DaysUpTo (Dates_Date date, Dates_Date other);
export void Dates_Date_Format (Dates_Date date, CHAR *f, LONGINT f__len, CHAR *d, LONGINT d__len);
static void Dates_Date_Get (Dates_Date date, CHAR ch, INTEGER times, CHAR *s, LONGINT s__len);
export void Dates_Date_Init (Dates_Date date);
export BOOLEAN Dates_Date_IsLeapYear (Dates_Date date);
export BOOLEAN Dates_Date_LaterThan (Dates_Date date, Dates_Date other);
export void Dates_Date_Load (Dates_Date date, Files_Rider *r, LONGINT *r__typ);
export void Dates_Date_MonthName (Dates_Date date, BOOLEAN short_, CHAR *name, LONGINT name__len);
export LONGINT Dates_Date_Ref (Dates_Date date);
export void Dates_Date_Set (Dates_Date date, INTEGER day, INTEGER month, INTEGER year);
export void Dates_Date_SetCal (Dates_Date date, INTEGER cal);
export void Dates_Date_SetToDate (Dates_Date date, LONGINT d);
export void Dates_Date_SetToRef (Dates_Date date, LONGINT ref);
export void Dates_Date_SetToday (Dates_Date date);
export void Dates_Date_Store (Dates_Date date, Files_Rider *r, LONGINT *r__typ);
export INTEGER Dates_Date_WeekOfYear (Dates_Date date);
export void Dates_Date_YearExt (Dates_Date date, CHAR *ext, LONGINT ext__len);
#define __Dates_Date_AddDays(date, days) __SEND(__TYPEOF(date), 0, void(*)(Dates_Date, LONGINT), (date, days))
#define __Dates_Date_AddMonths(date, months, trackUltimo) __SEND(__TYPEOF(date), 1, void(*)(Dates_Date, INTEGER, BOOLEAN), (date, months, trackUltimo))
#define __Dates_Date_AddYears(date, years, trackUltimo) __SEND(__TYPEOF(date), 2, void(*)(Dates_Date, INTEGER, BOOLEAN), (date, years, trackUltimo))
#define __Dates_Date_ComputeDate(date) __SEND(__TYPEOF(date), 3, void(*)(Dates_Date), (date))
#define __Dates_Date_ComputeDays(date) __SEND(__TYPEOF(date), 4, void(*)(Dates_Date), (date))
#define __Dates_Date_CopyTo(date, copy) __SEND(__TYPEOF(date), 5, void(*)(Dates_Date, Dates_Date), (date, copy))
#define __Dates_Date_Date(date) __SEND(__TYPEOF(date), 6, LONGINT(*)(Dates_Date), (date))
#define __Dates_Date_DayExt(date, ext, ext__len) __SEND(__TYPEOF(date), 7, void(*)(Dates_Date, CHAR*, LONGINT ), (date, ext, ext__len))
#define __Dates_Date_DayName(date, short, name, name__len) __SEND(__TYPEOF(date), 8, void(*)(Dates_Date, BOOLEAN, CHAR*, LONGINT ), (date, short, name, name__len))
#define __Dates_Date_DayOfWeek(date) __SEND(__TYPEOF(date), 9, INTEGER(*)(Dates_Date), (date))
#define __Dates_Date_DaysOfMonth(date) __SEND(__TYPEOF(date), 10, INTEGER(*)(Dates_Date), (date))
#define __Dates_Date_DaysUpTo(date, other) __SEND(__TYPEOF(date), 11, LONGINT(*)(Dates_Date, Dates_Date), (date, other))
#define __Dates_Date_Format(date, f, f__len, d, d__len) __SEND(__TYPEOF(date), 12, void(*)(Dates_Date, CHAR*, LONGINT , CHAR*, LONGINT ), (date, f, f__len, d, d__len))
#define __Dates_Date_Get(date, ch, times, s, s__len) __SEND(__TYPEOF(date), 13, void(*)(Dates_Date, CHAR, INTEGER, CHAR*, LONGINT ), (date, ch, times, s, s__len))
#define __Dates_Date_Init(date) __SEND(__TYPEOF(date), 14, void(*)(Dates_Date), (date))
#define __Dates_Date_IsLeapYear(date) __SEND(__TYPEOF(date), 15, BOOLEAN(*)(Dates_Date), (date))
#define __Dates_Date_LaterThan(date, other) __SEND(__TYPEOF(date), 16, BOOLEAN(*)(Dates_Date, Dates_Date), (date, other))
#define __Dates_Date_Load(date, r, r__typ) __SEND(__TYPEOF(date), 17, void(*)(Dates_Date, Files_Rider*, LONGINT *), (date, r, r__typ))
#define __Dates_Date_MonthName(date, short, name, name__len) __SEND(__TYPEOF(date), 18, void(*)(Dates_Date, BOOLEAN, CHAR*, LONGINT ), (date, short, name, name__len))
#define __Dates_Date_Ref(date) __SEND(__TYPEOF(date), 19, LONGINT(*)(Dates_Date), (date))
#define __Dates_Date_Set(date, day, month, year) __SEND(__TYPEOF(date), 20, void(*)(Dates_Date, INTEGER, INTEGER, INTEGER), (date, day, month, year))
#define __Dates_Date_SetCal(date, cal) __SEND(__TYPEOF(date), 21, void(*)(Dates_Date, INTEGER), (date, cal))
#define __Dates_Date_SetToDate(date, d) __SEND(__TYPEOF(date), 22, void(*)(Dates_Date, LONGINT), (date, d))
#define __Dates_Date_SetToRef(date, ref) __SEND(__TYPEOF(date), 23, void(*)(Dates_Date, LONGINT), (date, ref))
#define __Dates_Date_SetToday(date) __SEND(__TYPEOF(date), 24, void(*)(Dates_Date), (date))
#define __Dates_Date_Store(date, r, r__typ) __SEND(__TYPEOF(date), 25, void(*)(Dates_Date, Files_Rider*, LONGINT *), (date, r, r__typ))
#define __Dates_Date_WeekOfYear(date) __SEND(__TYPEOF(date), 26, INTEGER(*)(Dates_Date), (date))
#define __Dates_Date_YearExt(date, ext, ext__len) __SEND(__TYPEOF(date), 27, void(*)(Dates_Date, CHAR*, LONGINT ), (date, ext, ext__len))


static LONGINT Dates_initRef;
static CHAR Dates_mName[12][32];
static CHAR Dates_dName[7][32];
static CHAR Dates_dExt[4][32];

export LONGINT *Dates_DateDesc__typ;

static INTEGER Dates_DaysUp2Month (INTEGER m, INTEGER y, INTEGER cal);
static LONGINT Dates_DaysUp2Year (INTEGER y, INTEGER cal);
static void Dates_Init (void);
static BOOLEAN Dates_IsLeap (INTEGER y, INTEGER cal);
static INTEGER Dates_MonthDays (INTEGER m, INTEGER y, INTEGER cal, BOOLEAN last);
static INTEGER Dates_WeekDay (LONGINT ref);
static INTEGER Dates_YearDays (INTEGER y, INTEGER cal);


static BOOLEAN Dates_IsLeap (INTEGER y, INTEGER cal)
{
	if (cal == 2 || cal == 0 && y <= 1582) {
		return __MASK(y, -4) == 0;
	} else {
		return __MASK(y, -4) == 0 && (int)__MOD(y, 100) != 0 || (int)__MOD(y, 400) == 0;
	}
	__RETCHK;
}

static INTEGER Dates_YearDays (INTEGER y, INTEGER cal)
{
	INTEGER d = 0;
	d = 365;
	if (Dates_IsLeap(y, cal)) {
		d += 1;
	} else if (cal == 0 && y == 1582) {
		d -= 10;
	}
	return d;
}

static INTEGER Dates_MonthDays (INTEGER m, INTEGER y, INTEGER cal, BOOLEAN last)
{
	INTEGER d = 0;
	d = 31;
	if (((!last && cal == 0) && y == 1582) && m == 10) {
		d -= 10;
	}
	if (m > 2) {
		m = (int)__MOD(m - 3, 5);
		if (__ODD(m)) {
			d -= 1;
		}
	} else if (m == 2) {
		if (Dates_IsLeap(y, cal)) {
			d -= 2;
		} else {
			d -= 3;
		}
	}
	return d;
}

static INTEGER Dates_WeekDay (LONGINT ref)
{
	return (int)__MOD(ref + 6, 7);
}

static LONGINT Dates_DaysUp2Year (INTEGER y, INTEGER cal)
{
	LONGINT d = 0;
	d = 365 * (LONGINT)(y - 300);
	if (y >= 300) {
		y -= 1;
		if (cal == 0 && y >= 1582) {
			d -= 10;
		}
		while (y >= 300 && !Dates_IsLeap(y, cal)) {
			y -= 1;
		}
		while (y >= 300) {
			if (Dates_IsLeap(y, cal)) {
				d += 1;
			}
			y -= 4;
		}
	} else {
		while (y < 300 && !Dates_IsLeap(y, cal)) {
			y += 1;
		}
		while (y < 300) {
			if (Dates_IsLeap(y, cal)) {
				d -= 1;
			}
			y += 4;
		}
	}
	return d;
}

static INTEGER Dates_DaysUp2Month (INTEGER m, INTEGER y, INTEGER cal)
{
	INTEGER d = 0;
	m -= 1;
	d = 0;
	while (m > 0) {
		d += Dates_MonthDays(m, y, cal, 0);
		m -= 1;
	}
	return d;
}

void Dates_Date_Init (Dates_Date date)
{
	date->day = 1;
	date->month = 1;
	date->year = -4712;
	date->ref = Dates_initRef;
	date->cal = 0;
}

void Dates_Date_CopyTo (Dates_Date date, Dates_Date copy)
{
	if (copy == NIL) {
		__NEW(copy, Dates_DateDesc);
	}
	copy->day = date->day;
	copy->month = date->month;
	copy->year = date->year;
	copy->ref = date->ref;
	copy->cal = date->cal;
}

LONGINT Dates_Date_DaysUpTo (Dates_Date date, Dates_Date other)
{
	return other->ref - date->ref;
}

BOOLEAN Dates_Date_LaterThan (Dates_Date date, Dates_Date other)
{
	return date->ref > other->ref;
}

INTEGER Dates_Date_DayOfWeek (Dates_Date date)
{
	return Dates_WeekDay(date->ref);
}

INTEGER Dates_Date_WeekOfYear (Dates_Date date)
{
	INTEGER cw = 0;
	LONGINT ref = 0, sun = 0;
	sun = (date->ref - (LONGINT)Dates_WeekDay(date->ref)) - 1;
	ref = Dates_DaysUp2Year(date->year + 1, date->cal);
	if (ref - sun < 4) {
		cw = 1;
	} else {
		ref = (ref - (LONGINT)Dates_YearDays(date->year, date->cal)) + 1;
		if (ref - sun > 4) {
			ref = ref - (LONGINT)Dates_YearDays(date->year - 1, date->cal);
		}
		cw = __DIV((int)(sun - ref), 7) + 1;
		if (Dates_WeekDay(ref) < 4) {
			cw += 1;
		}
	}
	return cw;
}

BOOLEAN Dates_Date_IsLeapYear (Dates_Date date)
{
	return Dates_IsLeap(date->year, date->cal);
}

INTEGER Dates_Date_DaysOfMonth (Dates_Date date)
{
	return Dates_MonthDays(date->month, date->year, date->cal, 0);
}

static void Dates_Date_ComputeDays (Dates_Date date)
{
	date->ref = (Dates_DaysUp2Year(date->year, date->cal) + (LONGINT)Dates_DaysUp2Month(date->month, date->year, date->cal)) + (LONGINT)date->day;
	if (((date->cal == 0 && date->year == 1582) && date->month == 10) && date->day >= 15) {
		date->ref -= 10;
	}
}

static void Dates_Date_ComputeDate (Dates_Date date)
{
	LONGINT ref = 0, x = 0;
	INTEGER n = 0;
	ref = date->ref;
	date->year = (int)__DIV(ref - 1, 366) + 300;
	x = Dates_DaysUp2Year(date->year, date->cal);
	if (ref > 0) {
		n = Dates_YearDays(date->year, date->cal);
		while (ref - x > (LONGINT)n) {
			date->year += 1;
			x += (LONGINT)n;
			n = Dates_YearDays(date->year, date->cal);
		}
	} else {
		while (ref - x <= 0) {
			date->year -= 1;
			x -= (LONGINT)Dates_YearDays(date->year, date->cal);
		}
	}
	ref -= x;
	date->month = (int)__ASHR(ref, 5) + 1;
	x = Dates_DaysUp2Month(date->month, date->year, date->cal);
	n = Dates_MonthDays(date->month, date->year, date->cal, 0);
	while (ref - x > (LONGINT)n) {
		date->month += 1;
		x += (LONGINT)n;
		n = Dates_MonthDays(date->month, date->year, date->cal, 0);
	}
	ref -= x;
	date->day = (int)ref;
	if (((date->cal == 0 && date->year == 1582) && date->month == 10) && date->day > 4) {
		date->day += 10;
	}
}

void Dates_Date_SetCal (Dates_Date date, INTEGER cal)
{
	date->cal = (int)__MOD(cal, 3);
	__Dates_Date_ComputeDate(date);
}

void Dates_Date_Set (Dates_Date date, INTEGER day, INTEGER month, INTEGER year)
{
	date->day = __ABS(day);
	date->month = __ABS(month);
	date->year = year;
	date->year += __DIV(date->month - 1, 12);
	date->month = (int)__MOD(date->month - 1, 12) + 1;
	__Dates_Date_ComputeDays(date);
	__Dates_Date_ComputeDate(date);
}

void Dates_Date_SetToDate (Dates_Date date, LONGINT d)
{
	INTEGER day = 0, month = 0, year = 0;
	date->year = (int)__MASK(__ASHR(d, 9), -128) + 1900;
	if (date->year < 1970) {
		date->year += 100;
	}
	date->month = (int)__MASK(__ASHR(d, 5), -16);
	date->day = (int)__MASK(d, -32);
	__Dates_Date_ComputeDays(date);
}

void Dates_Date_SetToRef (Dates_Date date, LONGINT ref)
{
	date->ref = ref + Dates_initRef;
	__Dates_Date_ComputeDate(date);
}

void Dates_Date_SetToday (Dates_Date date)
{
	LONGINT d = 0, t = 0;
	INTEGER cal = 0;
	Oberon_GetClock(&t, &d);
	if (date->cal != 0) {
		cal = date->cal;
		date->cal = 0;
		__Dates_Date_SetToDate(date, d);
		__Dates_Date_SetCal(date, cal);
	} else {
		__Dates_Date_SetToDate(date, d);
	}
}

LONGINT Dates_Date_Date (Dates_Date date)
{
	return (__ASHL((LONGINT)(int)__MOD(date->year, 100), 9) + (LONGINT)__ASHL(date->month, 5)) + (LONGINT)date->day;
}

LONGINT Dates_Date_Ref (Dates_Date date)
{
	return date->ref - Dates_initRef;
}

void Dates_Date_AddYears (Dates_Date date, INTEGER years, BOOLEAN trackUltimo)
{
	trackUltimo = trackUltimo && date->day == Dates_MonthDays(date->month, date->year, date->cal, 1);
	date->year += years;
	if (trackUltimo || date->day > Dates_MonthDays(date->month, date->year, date->cal, 1)) {
		date->day = Dates_MonthDays(date->month, date->year, date->cal, 1);
	}
	__Dates_Date_ComputeDays(date);
	__Dates_Date_ComputeDate(date);
}

void Dates_Date_AddMonths (Dates_Date date, INTEGER months, BOOLEAN trackUltimo)
{
	trackUltimo = trackUltimo && date->day == Dates_MonthDays(date->month, date->year, date->cal, 1);
	months += date->month - 1;
	date->month = (int)__MOD(months, 12) + 1;
	date->year += __DIV(months, 12);
	if (trackUltimo || date->day > Dates_MonthDays(date->month, date->year, date->cal, 1)) {
		date->day = Dates_MonthDays(date->month, date->year, date->cal, 1);
	}
	__Dates_Date_ComputeDays(date);
	__Dates_Date_ComputeDate(date);
}

void Dates_Date_AddDays (Dates_Date date, LONGINT days)
{
	date->ref += days;
	__Dates_Date_ComputeDate(date);
}

void Dates_Date_MonthName (Dates_Date date, BOOLEAN short_, CHAR *name, LONGINT name__len)
{
	__COPY(Dates_mName[__X(date->month - 1, 12)], name, name__len);
	if (short_) {
		name[__X(3, name__len)] = 0x00;
	}
}

void Dates_Date_DayName (Dates_Date date, BOOLEAN short_, CHAR *name, LONGINT name__len)
{
	__COPY(Dates_dName[__XF(__Dates_Date_DayOfWeek(date), 7)], name, name__len);
	if (short_) {
		name[__X(3, name__len)] = 0x00;
	}
}

void Dates_Date_YearExt (Dates_Date date, CHAR *ext, LONGINT ext__len)
{
	if (date->year > 0) {
		__COPY("A.D.", ext, ext__len);
	} else {
		__COPY("B.C.", ext, ext__len);
	}
}

void Dates_Date_DayExt (Dates_Date date, CHAR *ext, LONGINT ext__len)
{
	INTEGER dig = 0;
	dig = (int)__MOD(date->day, 10);
	if (dig > 3 || __DIV(date->day, 10) == 1) {
		dig = 0;
	}
	__COPY(Dates_dExt[__X(dig, 4)], ext, ext__len);
}

static struct Get__14 {
	struct Get__14 *lnk;
} *Get__14_s;

static void Int2Str__15 (INTEGER int_, INTEGER digs, CHAR *str, LONGINT str__len);

static void Int2Str__15 (INTEGER int_, INTEGER digs, CHAR *str, LONGINT str__len)
{
	LONGINT val = 0;
	INTEGER i = 0, j = 0;
	i = (int)str__len - 1;
	val = __ABS((LONGINT)int_);
	str[__X(i, str__len)] = 0x00;
	i -= 1;
	do {
		str[__X(i, str__len)] = (CHAR)(48 + __MOD(val, 10));
		val = __DIV(val, 10);
		i -= 1;
		digs -= 1;
	} while (!(val == 0 || digs == 0));
	while (digs > 0) {
		str[__X(i, str__len)] = '0';
		i -= 1;
		digs -= 1;
	}
	if (int_ < 0) {
		str[__X(i, str__len)] = '-';
	} else {
		i += 1;
	}
	j = i - 1;
	do {
		j += 1;
		str[__X(j - i, str__len)] = str[__X(j, str__len)];
	} while (!(str[__X(j, str__len)] == 0x00));
}

static void Dates_Date_Get (Dates_Date date, CHAR ch, INTEGER times, CHAR *s, LONGINT s__len)
{
	struct Get__14 _s;
	_s.lnk = Get__14_s;
	Get__14_s = &_s;
	if (times < 2) {
		times = 0;
	}
	switch (ch) {
		case 'Y': 
			if (times == 3) {
				if (date->year > 0) {
					Int2Str__15(date->year, 0, (void*)s, s__len);
				} else {
					Int2Str__15(1 - date->year, 0, (void*)s, s__len);
				}
			} else {
				if (times > 4) {
					times = 4;
				}
				Int2Str__15(date->year, times, (void*)s, s__len);
			}
			break;
		case 'y': 
			__Dates_Date_YearExt(date, (void*)s, s__len);
			break;
		case 'M': 
			if (times > 2) {
				__Dates_Date_MonthName(date, times == 3, (void*)s, s__len);
			} else {
				Int2Str__15(date->month, times, (void*)s, s__len);
			}
			break;
		case 'W': 
			if (times > 2) {
				times = 2;
			}
			Int2Str__15(__Dates_Date_WeekOfYear(date), times, (void*)s, s__len);
			break;
		case 'D': 
			if (times > 2) {
				__Dates_Date_DayName(date, times == 3, (void*)s, s__len);
			} else {
				Int2Str__15(date->day, times, (void*)s, s__len);
			}
			break;
		case 'd': 
			__Dates_Date_DayExt(date, (void*)s, s__len);
			break;
		default: 
			s[0] = 0x00;
			break;
	}
	Get__14_s = _s.lnk;
}

void Dates_Date_Format (Dates_Date date, CHAR *f, LONGINT f__len, CHAR *d, LONGINT d__len)
{
	INTEGER i = 0, j = 0, n = 0, max = 0;
	CHAR ch = 0;
	CHAR s[32];
	__DUP(f, f__len, CHAR);
	i = 0;
	j = 0;
	ch = 0x00;
	max = (int)d__len - 1;
	do {
		if (((__CAP(f[__X(i, f__len)]) == 'Y' || f[__X(i, f__len)] == 'M') || f[__X(i, f__len)] == 'W') || __CAP(f[__X(i, f__len)]) == 'D') {
			n = 1;
			ch = f[__X(i, f__len)];
			i += 1;
			while (ch == f[__X(i, f__len)]) {
				n += 1;
				i += 1;
			}
			__Dates_Date_Get(date, ch, n, (void*)s, 32);
			n = 0;
			while (s[__X(n, 32)] != 0x00 && j < max) {
				d[__X(j, d__len)] = s[__X(n, 32)];
				j += 1;
				n += 1;
			}
		} else {
			if (f[__X(i, f__len)] == '%') {
				i += 1;
			}
			ch = f[__X(i, f__len)];
			i += 1;
			if (j < max) {
				d[__X(j, d__len)] = ch;
				j += 1;
			}
		}
	} while (!(ch == 0x00 || j >= max));
	d[__X(max, d__len)] = 0x00;
	__DEL(f);
}

void Dates_Date_Store (Dates_Date date, Files_Rider *r, LONGINT *r__typ)
{
	Files_WriteInt(&*r, r__typ, date->cal);
	Files_WriteLInt(&*r, r__typ, date->ref);
}

void Dates_Date_Load (Dates_Date date, Files_Rider *r, LONGINT *r__typ)
{
	Files_ReadInt(&*r, r__typ, &date->cal);
	Files_ReadLInt(&*r, r__typ, &date->ref);
	__Dates_Date_ComputeDate(date);
}

static void Dates_Init (void)
{
	Dates_initRef = (Dates_DaysUp2Year(-4712, 0) + (LONGINT)Dates_DaysUp2Month(1, -4712, 0)) + 1;
	__MOVE("January", Dates_mName[0], 8);
	__MOVE("February", Dates_mName[1], 9);
	__MOVE("March", Dates_mName[2], 6);
	__MOVE("April", Dates_mName[3], 6);
	__MOVE("May", Dates_mName[4], 4);
	__MOVE("June", Dates_mName[5], 5);
	__MOVE("July", Dates_mName[6], 5);
	__MOVE("August", Dates_mName[7], 7);
	__MOVE("September", Dates_mName[8], 10);
	__MOVE("October", Dates_mName[9], 8);
	__MOVE("November", Dates_mName[10], 9);
	__MOVE("December", Dates_mName[11], 9);
	__MOVE("Monday", Dates_dName[0], 7);
	__MOVE("Tuesday", Dates_dName[1], 8);
	__MOVE("Wednesday", Dates_dName[2], 10);
	__MOVE("Thursday", Dates_dName[3], 9);
	__MOVE("Friday", Dates_dName[4], 7);
	__MOVE("Saturday", Dates_dName[5], 9);
	__MOVE("Sunday", Dates_dName[6], 7);
	__MOVE("th", Dates_dExt[0], 3);
	__MOVE("st", Dates_dExt[1], 3);
	__MOVE("nd", Dates_dExt[2], 3);
	__MOVE("rd", Dates_dExt[3], 3);
}

__TDESC(Dates_DateDesc, 29, 0) = {__TDFLDS("DateDesc", 12), {-4}};

export void *Dates__init(void)
{
	__DEFMOD;
	__IMPORT(Files);
	__IMPORT(Oberon);
	__REGMOD(Dates, 0);
	__INITYP(Dates_DateDesc, Dates_DateDesc, 0);
	__INITBP(Dates_DateDesc, Dates_Date_AddDays, 0);
	__INITBP(Dates_DateDesc, Dates_Date_AddMonths, 1);
	__INITBP(Dates_DateDesc, Dates_Date_AddYears, 2);
	__INITBP(Dates_DateDesc, Dates_Date_ComputeDate, 3);
	__INITBP(Dates_DateDesc, Dates_Date_ComputeDays, 4);
	__INITBP(Dates_DateDesc, Dates_Date_CopyTo, 5);
	__INITBP(Dates_DateDesc, Dates_Date_Date, 6);
	__INITBP(Dates_DateDesc, Dates_Date_DayExt, 7);
	__INITBP(Dates_DateDesc, Dates_Date_DayName, 8);
	__INITBP(Dates_DateDesc, Dates_Date_DayOfWeek, 9);
	__INITBP(Dates_DateDesc, Dates_Date_DaysOfMonth, 10);
	__INITBP(Dates_DateDesc, Dates_Date_DaysUpTo, 11);
	__INITBP(Dates_DateDesc, Dates_Date_Format, 12);
	__INITBP(Dates_DateDesc, Dates_Date_Get, 13);
	__INITBP(Dates_DateDesc, Dates_Date_Init, 14);
	__INITBP(Dates_DateDesc, Dates_Date_IsLeapYear, 15);
	__INITBP(Dates_DateDesc, Dates_Date_LaterThan, 16);
	__INITBP(Dates_DateDesc, Dates_Date_Load, 17);
	__INITBP(Dates_DateDesc, Dates_Date_MonthName, 18);
	__INITBP(Dates_DateDesc, Dates_Date_Ref, 19);
	__INITBP(Dates_DateDesc, Dates_Date_Set, 20);
	__INITBP(Dates_DateDesc, Dates_Date_SetCal, 21);
	__INITBP(Dates_DateDesc, Dates_Date_SetToDate, 22);
	__INITBP(Dates_DateDesc, Dates_Date_SetToRef, 23);
	__INITBP(Dates_DateDesc, Dates_Date_SetToday, 24);
	__INITBP(Dates_DateDesc, Dates_Date_Store, 25);
	__INITBP(Dates_DateDesc, Dates_Date_WeekOfYear, 26);
	__INITBP(Dates_DateDesc, Dates_Date_YearExt, 27);
/* BEGIN */
	Dates_Init();
	__ENDMOD;
}
