/* Ofront 1.4 -xtspkaG */

#ifndef DialogButtons__h
#define DialogButtons__h

#include "SYSTEM.h"
#include "Dialogs.h"
#include "Display.h"
#include "Files.h"
#include "Fonts.h"

typedef
	struct DialogButtons_ItemDesc *DialogButtons_Item;

typedef
	struct DialogButtons_ItemDesc { /* Dialogs_ObjectDesc */
		LONGINT _prvt0;
		char _prvt1[16];
		CHAR name[16];
		CHAR cmd[32];
		CHAR par[32];
		BOOLEAN selected, overlapping;
		Dialogs_Panel panel;
		char _prvt2[4];
		Fonts_Font fnt;
	} DialogButtons_ItemDesc;

import void DialogButtons_Item_Copy (DialogButtons_Item b, Dialogs_Object *dup);
import void DialogButtons_Item_Draw (DialogButtons_Item b, INTEGER x, INTEGER y, Display_Frame f);
import void DialogButtons_Item_Edit (DialogButtons_Item b);
import void DialogButtons_Item_Handle (DialogButtons_Item b, Display_Frame f, Display_FrameMsg *m, LONGINT *m__typ);
import void DialogButtons_Item_Load (DialogButtons_Item b, Files_Rider *r, LONGINT *r__typ);
import void DialogButtons_Item_Print (DialogButtons_Item b, INTEGER x, INTEGER y);
import void DialogButtons_Item_SetFont (DialogButtons_Item b, Fonts_Font fnt);
import void DialogButtons_Item_Store (DialogButtons_Item b, Files_Rider *r, LONGINT *r__typ);
import void DialogButtons_Item_Update (DialogButtons_Item b, Dialogs_Panel p);
#define __DialogButtons_Item_SetFont(b, fnt) __SEND(__TYPEOF(b), 25, void(*)(DialogButtons_Item, Fonts_Font), (b, fnt))



import LONGINT *DialogButtons_ItemDesc__typ;

import void DialogButtons_Insert (void);
import void *DialogButtons__init(void);


#endif
