/* Ofront 1.4 -xtspkaG */

#ifndef DialogComboBoxes__h
#define DialogComboBoxes__h

#include "SYSTEM.h"
#include "Dialogs.h"
#include "Display.h"
#include "Files.h"
#include "Texts.h"

typedef
	struct DialogComboBoxes_ItemDesc *DialogComboBoxes_Item;

typedef
	struct DialogComboBoxes_ItemDesc { /* Dialogs_ObjectDesc */
		LONGINT _prvt0;
		char _prvt1[16];
		CHAR name[16];
		CHAR cmd[32];
		CHAR par[32];
		BOOLEAN selected, overlapping;
		Dialogs_Panel panel;
		char _prvt2[4];
		Texts_Text menu;
		BOOLEAN readonly;
		INTEGER selline, lbHeight;
		char _prvt3[6];
	} DialogComboBoxes_ItemDesc;

import void DialogComboBoxes_Item_Copy (DialogComboBoxes_Item b, Dialogs_Object *dup);
import void DialogComboBoxes_Item_Draw (DialogComboBoxes_Item b, INTEGER x, INTEGER y, Display_Frame f);
import void DialogComboBoxes_Item_Edit (DialogComboBoxes_Item b);
import Texts_Text DialogComboBoxes_Item_GetTitle (DialogComboBoxes_Item b);
import void DialogComboBoxes_Item_Handle (DialogComboBoxes_Item b, Display_Frame f, Display_FrameMsg *msg, LONGINT *msg__typ);
import void DialogComboBoxes_Item_Init (DialogComboBoxes_Item b);
import void DialogComboBoxes_Item_Load (DialogComboBoxes_Item b, Files_Rider *r, LONGINT *r__typ);
import void DialogComboBoxes_Item_Print (DialogComboBoxes_Item b, INTEGER x, INTEGER y);
import void DialogComboBoxes_Item_SetTitle (DialogComboBoxes_Item b, Texts_Text t);
import void DialogComboBoxes_Item_Store (DialogComboBoxes_Item b, Files_Rider *r, LONGINT *r__typ);
import void DialogComboBoxes_Item_Update (DialogComboBoxes_Item b, Dialogs_Panel p);
#define __DialogComboBoxes_Item_GetTitle(b) __SEND(__TYPEOF(b), 24, Texts_Text(*)(DialogComboBoxes_Item), (b))
#define __DialogComboBoxes_Item_SetTitle(b, t) __SEND(__TYPEOF(b), 26, void(*)(DialogComboBoxes_Item, Texts_Text), (b, t))



import LONGINT *DialogComboBoxes_ItemDesc__typ;

import void DialogComboBoxes_Insert (void);
import void *DialogComboBoxes__init(void);


#endif
