/* Ofront 1.4 -xtspkaG */

#ifndef DialogSliders__h
#define DialogSliders__h

#include "SYSTEM.h"
#include "Dialogs.h"
#include "Display.h"
#include "Files.h"

typedef
	struct DialogSliders_ItemDesc *DialogSliders_Item;

typedef
	struct DialogSliders_ItemDesc { /* Dialogs_ObjectDesc */
		LONGINT _prvt0;
		char _prvt1[16];
		CHAR name[16];
		CHAR cmd[32];
		CHAR par[32];
		BOOLEAN selected, overlapping;
		Dialogs_Panel panel;
		char _prvt2[2];
		INTEGER sliderdY, delta;
	} DialogSliders_ItemDesc;

import LONGINT DialogSliders_Item_Arrow (DialogSliders_Item s, BOOLEAN down);
import void DialogSliders_Item_CheckdY (DialogSliders_Item s, INTEGER *dY);
import void DialogSliders_Item_Copy (DialogSliders_Item s, Dialogs_Object *dup);
import void DialogSliders_Item_Draw (DialogSliders_Item s, INTEGER x, INTEGER y, Display_Frame f);
import void DialogSliders_Item_DrawSlider (DialogSliders_Item s, Display_Frame f, BOOLEAN pressed, INTEGER x, INTEGER y, INTEGER w, INTEGER h, INTEGER mode);
import void DialogSliders_Item_Edit (DialogSliders_Item t);
import void DialogSliders_Item_Handle (DialogSliders_Item s, Display_Frame f, Display_FrameMsg *msg, LONGINT *msg__typ);
import void DialogSliders_Item_Init (DialogSliders_Item s);
import void DialogSliders_Item_Load (DialogSliders_Item s, Files_Rider *r, LONGINT *r__typ);
import INTEGER DialogSliders_Item_MaxValue (DialogSliders_Item s);
import void DialogSliders_Item_MoveSlider (DialogSliders_Item s, Display_Frame f, BOOLEAN pressed, INTEGER dY);
import void DialogSliders_Item_Print (DialogSliders_Item s, INTEGER x, INTEGER y);
import void DialogSliders_Item_PrintSlider (DialogSliders_Item s, INTEGER x, INTEGER y, INTEGER w, INTEGER h);
import void DialogSliders_Item_SetdY (DialogSliders_Item s, INTEGER dY);
import void DialogSliders_Item_Store (DialogSliders_Item s, Files_Rider *r, LONGINT *r__typ);
import void DialogSliders_Item_TrackButton (DialogSliders_Item s, Display_Frame f, INTEGER x, INTEGER y, INTEGER w, INTEGER mx, INTEGER my, SET *keysum, BOOLEAN down);
import void DialogSliders_Item_TrackScrollBar (DialogSliders_Item s, Display_Frame f, INTEGER mx, INTEGER my, SET keys);
import void DialogSliders_Item_Update (DialogSliders_Item t, Dialogs_Panel p);
#define __DialogSliders_Item_Arrow(s, down) __SEND(__TYPEOF(s), 24, LONGINT(*)(DialogSliders_Item, BOOLEAN), (s, down))
#define __DialogSliders_Item_CheckdY(s, dY) __SEND(__TYPEOF(s), 27, void(*)(DialogSliders_Item, INTEGER*), (s, dY))
#define __DialogSliders_Item_DrawSlider(s, f, pressed, x, y, w, h, mode) __SEND(__TYPEOF(s), 29, void(*)(DialogSliders_Item, Display_Frame, BOOLEAN, INTEGER, INTEGER, INTEGER, INTEGER, INTEGER), (s, f, pressed, x, y, w, h, mode))
#define __DialogSliders_Item_MaxValue(s) __SEND(__TYPEOF(s), 30, INTEGER(*)(DialogSliders_Item), (s))
#define __DialogSliders_Item_MoveSlider(s, f, pressed, dY) __SEND(__TYPEOF(s), 31, void(*)(DialogSliders_Item, Display_Frame, BOOLEAN, INTEGER), (s, f, pressed, dY))
#define __DialogSliders_Item_PrintSlider(s, x, y, w, h) __SEND(__TYPEOF(s), 33, void(*)(DialogSliders_Item, INTEGER, INTEGER, INTEGER, INTEGER), (s, x, y, w, h))
#define __DialogSliders_Item_SetdY(s, dY) __SEND(__TYPEOF(s), 34, void(*)(DialogSliders_Item, INTEGER), (s, dY))
#define __DialogSliders_Item_TrackButton(s, f, x, y, w, mx, my, keysum, down) __SEND(__TYPEOF(s), 35, void(*)(DialogSliders_Item, Display_Frame, INTEGER, INTEGER, INTEGER, INTEGER, INTEGER, SET*, BOOLEAN), (s, f, x, y, w, mx, my, keysum, down))
#define __DialogSliders_Item_TrackScrollBar(s, f, mx, my, keys) __SEND(__TYPEOF(s), 36, void(*)(DialogSliders_Item, Display_Frame, INTEGER, INTEGER, SET), (s, f, mx, my, keys))


import LONGINT DialogSliders_hBgPat, DialogSliders_vBgPat, DialogSliders_downArrow, DialogSliders_upArrow, DialogSliders_leftArrow, DialogSliders_rightArrow;

import LONGINT *DialogSliders_ItemDesc__typ;

import void DialogSliders_Insert (void);
import void *DialogSliders__init(void);


#endif
