/* Ofront 1.4 -xtspkaG */
#include "SYSTEM.h"




export void RPI_Close (void);
export BOOLEAN RPI_Open (LONGINT base);
export LONGINT RPI_Read (LONGINT adr);
export SET RPI_ReadSet (LONGINT adr);
export void RPI_Write (LONGINT adr, LONGINT val);
export void RPI_WriteSet (LONGINT adr, SET val);

#include "RPI.c0"
#define RPI_map(base)	mapPeripherals(base)
#define RPI_read(adr)	*(long*)((long)periMem + adr)
#define RPI_unmap()	unmapPeripherals()
#define RPI_write(adr, val)	*(long*)((long)periMem + adr) = val

BOOLEAN RPI_Open (LONGINT base)
{
	return RPI_map(base) == 0;
}

LONGINT RPI_Read (LONGINT adr)
{
	return RPI_read(__MASK(adr, -16777216));
}

SET RPI_ReadSet (LONGINT adr)
{
	return (SET)RPI_read(__MASK(adr, -16777216));
}

void RPI_Write (LONGINT adr, LONGINT val)
{
	RPI_write(__MASK(adr, -16777216), val);
}

void RPI_WriteSet (LONGINT adr, SET val)
{
	RPI_write(__MASK(adr, -16777216), (LONGINT)val);
}

void RPI_Close (void)
{
	RPI_unmap();
}


export void *RPI__init(void)
{
	__DEFMOD;
	__REGMOD(RPI, 0);
	__REGCMD("Close", RPI_Close);
/* BEGIN */
	__ENDMOD;
}
