/* Ofront 1.4 -xtspkaG */
#include "SYSTEM.h"
#include "Modules.h"

typedef
	struct Types_TypeDesc *Types_Type;

typedef
	struct Types_TypeDesc {
		Types_Type next;
		LONGINT level;
		Modules_Module module;
		CHAR name[24];
		Types_Type base[16];
		LONGINT rsrvd, size;
	} Types_TypeDesc;



export LONGINT *Types_TypeDesc__typ;

export Types_Type Types_BaseOf (Types_Type t, INTEGER level);
export INTEGER Types_LevelOf (Types_Type t);
export void Types_NewObj (SYSTEM_PTR *o, Types_Type t);
export Types_Type Types_This (Modules_Module mod, CHAR *name, LONGINT name__len);
export Types_Type Types_TypeOf (SYSTEM_PTR o);

#define Types_NewRec(typ)	SYSTEM_NEWREC(typ)

Types_Type Types_This (Modules_Module mod, CHAR *name, LONGINT name__len)
{
	Types_Type typ = NIL;
	__DUP(name, name__len, CHAR);
	if (name[0] != 0x00) {
		typ = (Types_Type)mod->types;
		while (typ != NIL) {
			if (__STRCMP(typ->name, name) == 0) {
				__DEL(name);
				return typ;
			}
			typ = typ->next;
		}
	}
	__DEL(name);
	return NIL;
}

void Types_NewObj (SYSTEM_PTR *o, Types_Type t)
{
	*o = (SYSTEM_PTR)Types_NewRec((LONGINT)t + 104);
}

INTEGER Types_LevelOf (Types_Type t)
{
	return (int)t->level;
}

Types_Type Types_BaseOf (Types_Type t, INTEGER level)
{
	return t->base[__X(level, 16)];
}

Types_Type Types_TypeOf (SYSTEM_PTR o)
{
	LONGINT t = 0;
	__GET((LONGINT)o - 4, t, LONGINT);
	return (Types_Type)(t - 104);
}

__TDESC(Types_TypeDesc, 1, 18) = {__TDFLDS("TypeDesc", 108), {0, 8, 36, 40, 44, 48, 52, 56, 60, 64, 68, 72, 76, 80, 84, 88, 
	92, 96, -76}};

export void *Types__init(void)
{
	__DEFMOD;
	__IMPORT(Modules);
	__REGMOD(Types, 0);
	__INITYP(Types_TypeDesc, Types_TypeDesc, 0);
/* BEGIN */
	__ENDMOD;
}
